'
' DotNetNukeŽ - http://www.dotnetnuke.com
' Copyright (c) 2002-2006
' by DotNetNuke Corporation
'
' Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated 
' documentation files (the "Software"), to deal in the Software without restriction, including without limitation 
' the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and 
' to permit persons to whom the Software is furnished to do so, subject to the following conditions:
'
' The above copyright notice and this permission notice shall be included in all copies or substantial portions 
' of the Software.
'
' THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
' TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
' THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF 
' CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
' DEALINGS IN THE SOFTWARE.
'

Public Class IWEBMethodInfo
    ' local property declarations
    Private _Portal As Integer
    Private _MethodName As String
    Private _MethodDescription As String
    Private _SecuritySetting As String
    Private _CompanyName As String
    Private _ApplicationName As String
    Private _FirstGrouping As String
    Private _SecondGrouping As String

    ' initialization
    Public Sub New()
    End Sub

    ' public properties
    Public Property Portal() As Integer
        Get
            Return _Portal
        End Get
        Set(ByVal Value As Integer)
            _Portal = Value
        End Set
    End Property
    Public Property MethodName() As String
        Get
            Return _MethodName
        End Get
        Set(ByVal Value As String)
            _MethodName = Value
        End Set
    End Property

    Public Property MethodDescription() As String
        Get
            Return _MethodDescription
        End Get
        Set(ByVal Value As String)
            _MethodDescription = Value
        End Set
    End Property

    Public Property SecuritySetting() As String
        Get
            Return _SecuritySetting
        End Get
        Set(ByVal Value As String)
            _SecuritySetting = Value
        End Set
    End Property

    Public Property CompanyName() As String
        Get
            Return _CompanyName
        End Get
        Set(ByVal Value As String)
            _CompanyName = Value
        End Set
    End Property
    Public Property ApplicationName() As String
        Get
            Return _ApplicationName
        End Get
        Set(ByVal Value As String)
            _ApplicationName = Value
        End Set
    End Property
    Public Property FirstGrouping() As String
        Get
            Return _FirstGrouping
        End Get
        Set(ByVal Value As String)
            _FirstGrouping = Value
        End Set
    End Property
    Public Property SecondGrouping() As String
        Get
            Return _SecondGrouping
        End Get
        Set(ByVal Value As String)
            _SecondGrouping = Value
        End Set
    End Property
End Class
